summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2011-11-27 00:11:03 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2011-11-27 00:11:03 +0000
commitf2b7714906eb1fddccb8ea7a9e2e4b3b987fd3a7 (patch)
tree0de133642e8620c8c54cec0823aef873f8b12f42 /testing
parentf36a9925a15dc5dc84765f7c421e36b88a2ab242 (diff)
downloadaports-f2b7714906eb1fddccb8ea7a9e2e4b3b987fd3a7.tar.bz2
aports-f2b7714906eb1fddccb8ea7a9e2e4b3b987fd3a7.tar.xz
Initial APKBUILD for ipgrab
Package description: This program reads and parses packets from the link layer through the transport layer, dumping explicit header information along the way. It is a lot like tcpdump from LBL except that I've made an effort to dump every relevant header field possible. The overall structure of the code is loosely based on tcpdump and I've lifted a few modules from the tcpdump distribution when necessary, rather than re-inventing the wheel. In particular, the address conversion hashing routines are pretty much lifted verbatim, as well as the TCP options section. Web: http://ipgrab.sourceforge.net/
Diffstat (limited to 'testing')
-rw-r--r--testing/ipgrab/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/ipgrab/APKBUILD b/testing/ipgrab/APKBUILD
new file mode 100644
index 000000000..778fc1bee
--- /dev/null
+++ b/testing/ipgrab/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=ipgrab
+pkgver=0.9.8
+pkgrel=0
+pkgdesc="A verbose packet sniffer for hosts"
+url="http://ipgrab.sourceforge.net/"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends="libpcap-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/ipgrab/ipgrab-$pkgver.tar.gz"
+_builddir="$srcdir"/ipgrab-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure ÂÂÂ\
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="73404aeee6e8c07b6b7d260ffe80b692 ipgrab-0.9.8.tar.gz"